## filelight 25.12.1

=== debian/changelog ===
filelight (4:25.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop patches applied upstream.
  * Switch to debian/watch format version 5.
  * Drop executable flag from desktop file.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 15 Jan 2026 13:33:33 +0100
