## filelight 25.12.1+p24.04+vstable+git20260106.1459

=== debian/changelog ===
filelight (4:25.12.1+p24.04+vstable+git20260106.1459-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 14:59:02 +0000

filelight (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:22:16 +1000
