=== src/CMakeLists.txt ===
--- 
+++ 
@@ -38,6 +38,11 @@
     DESCRIPTION "filelight"
     EXPORT FILELIGHT
 )
+kconfig_target_kcfg_file(filelightInternal
+    FILE filelightsettings.kcfg
+    CLASS_NAME FilelightSettings
+    MUTATORS
+)
 if (WIN32)
     target_sources(filelightInternal PRIVATE windowsWalker.cpp windowsWalker.h)
 else()
@@ -47,6 +52,7 @@
     Qt6::Gui
     Qt6::Qml
     KF6::ConfigCore
+    KF6::ConfigGui
     KF6::I18n
     KF6::KIOWidgets # Only used for KDirLister, may be able to move away from that.
     KF6::Crash
