=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: filelight
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.13.0~),
                gettext,
                libkf6colorscheme-dev (>= 6.13.0~),
@@ -22,8 +23,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.3
 Homepage: https://apps.kde.org/filelight/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/filelight
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/filelight.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/filelight
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/filelight
 
 Package: filelight
 Architecture: any
